import httpService from '../http.service'

class workService {
    constructor(vueThis) {
        this.vm = vueThis;  //vue中的this  也可以不用
    }

    //这部分是请求的接口的方法

    //登录
    getTokenList(data){
        return httpService.post('sys/login' , data ? data : {} ,false)
    }

    //用户列表
    getUserInfo(data){
        return httpService.get('admin/user/queryUserList' , data ? data : {} ,true)
    }
    //直推用户列表
    getRecommend(data){
        return httpService.get(`admin/user/queryRecommendUserList` , data ? data :{} ,true)
    }
    //团队列表
    getTeamUser(data){
        return httpService.get(`admin/user/queryTeamUserInfoList` , data ? data :{} ,true)
    }
    //培育奖列表
    getCultivating(data){
        return httpService.get(`admin/user/queryCultivatingPrizeInfoList` , data ? data :{} ,true)
    }

    //资讯审核表
    getShopZx(data){
        return httpService.get(`admin/ZX/queryShopZxList` , data ? data :{} ,true)
    }

    //培育奖列表
    getCtInfo(data){
        return httpService.get(`admin/user/queryCultivatingInfo` , data ? data :{} ,true)
    }

    //会员等级优惠
    getMember(data){
        return httpService.get(`admin/member/getList` , data ? data :{} ,true)
    }

   //月度奖励
    getaward(data){
        return httpService.get(`award/getList` , data ? data :{} ,true)
    }
    //每月进步奖
    getprize(data){
        return httpService.get(`admin/prize/getList` , data ? data :{} ,true)
    }
    //团队业绩
    getTeam(data){
        return httpService.get(`admin/team/queryList` , data ? data :{} ,true)
    }

    //交易流水
    getTrade(data){
        return httpService.get(`admin/trade/queryList` , data ? data :{} ,true)
    }

    //应用设置--参数配置
    setParam(data){
        return httpService.post(`admin/set/param` , data ? data :{} ,true)
    }

    //资讯审核
    setToExamine(data){
        return httpService.post(`admin/ZX/toExamine` , data ? data :{} ,true)
    }

    //上传视频
    setupload(data){
        return httpService.post(`admin/ZX/uploadVideo` , data ? data :{} ,true)
    }

    //用户等级调整
    gitLevel(data){
        return httpService.get(`admin/user/setUserLevelToSeedling` , data ? data :{} ,true)
    }

    //培育奖金额设置
    gitAward(data){
        return httpService.post(`admin/setAward` , data ? data :{} ,true)
    }
    //在http.servers.js里把token赋值
    //sessionStorage.setItem('testKey','这是一个测试的value值')
    //sessionStorage.getItem('testKey');

    //登录获取token
    // getLogindata(data){
    //     return httpService.get('sys/role/list' , data ? data : {} ,true)
    // }

    //管理员创建列表接口
    getNewUserList(data){
        return httpService.get('sys/user/list' , data ? data : {} ,true)
    }
    //管理员创建--新建
    getNewUserApp(data){
        return httpService.post('sys/user/save' , data ? data : {} ,true)
    }


}
export  default  workService
